<html>
<!--    cibl&eacute; par:  choix-ref1.php

		cible:  	../menu.php
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
 -->

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Gestion des ctes annuelles</title>
</head>
<body>

<?php 

require("../outils/gui.php");
require("../outils/mise_en_page.php");
require("../outils/session.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2) 
	die("Vous n'avez pas les droits requis!");


// *****************************************************************************************************
// &eacute;tape 0 *********************************************************************************************
// menu de base ****************************************************************************************
// *****************************************************************************************************

if (empty ($etape))
{
	// liste des activit&eacute;s actives
	$sql = "select base_ref1annuelles.annee, base_ref1annuelles.objectif_financier
			from base_ref1annuelles
		 	order by base_ref1annuelles.annee asc;";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die("Ne peut acc&eacute;der &agrave; la table base_ref1annuelles!<br>".$sql);

		
	// ann&eacute;e active
	$sql1 = "select base_ref1annuelles.annee
			  from base_ref1annuelles
		 	 where base_ref1annuelles.actif = 'O';";
	$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql1) or die("Ne peut acc&eacute;der &agrave; la table base_ref1annuelles!<br>".$sql1);		
	$row1 = mysqli_fetch_row($result1);
	$annee_active = $row1[0];	
		
		
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Gestion des constantes annuelles</b></td>");
print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
print("</tr></table>");
	
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");	
print("<tr><td bgcolor=#E7EFCE>");	
	print ("<b>Liste des constantes annuelles</b><BR>");
	print ("<form action=\"ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"ref1annuelles_o\">
			<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
			<input type=\"hidden\" name=\"etape\" value=1>
			<select name=\"annee\">");

	while ($row = mysqli_fetch_row($result))
	{
		for ($i = 0; $i < (($___mysqli_tmp = mysqli_num_fields($result)) ? $___mysqli_tmp : false); $i++)
		{
			print("<option value=\"");
			print(htmlspecialchars($row[$i]));
			print("\">");
			printf("%s,  %s", htmlspecialchars ($row[$i++]), htmlspecialchars ($row[$i]));
			print("</option><br>");
		}
	}

	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);
	print ("</select><input type=\"submit\" value=\"Consulter\"></form>");
	
	//pour la section ann&eacute;e en cour
	print ("<form action=\"ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"ref1annuelles_o\">");
		print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
		print ("<input type=\"hidden\" name=\"etape\" value=4>");

	print("Ann&eacute;e active :");
	print("<input type=\"text\" name=\"annee\" align=\"top\" maxlength=\"5\" size=\"5\" value=".$annee_active.">");

	print("<input type=\"image\" alt=\"btn_active\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	
	

	print ("Cette section permet de s&eacute;lectionner un objectif financier dans le menu d&eacute;roulant et d'y apporter 
            des modifications. Chaque &eacute;l&eacute;ment du menu d&eacute;roulant se compose de l'ann&eacute;e et du montant. 
			Une fois l'&eacute;l&eacute;ment s&eacute;lectionn&eacute;, cliquez sur \"Consulter\" afin de visualiser et modifier les donn&eacute;es.");

	print("</td></tr><tr><td bgcolor=#E7EFCE>");

// pour des nouvelles ctes annuelles

    print ("<form action=\"ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print ("<input type=\"hidden\" name=\"etape\" value=2>");
	print ("<input id=\"frm_nouvelle_activite\" type=\"submit\" value=\"Nouvel objectif financier\">");
	print ("</form>");
	print("</td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	
	
	
	
	
// bouton de rtour au menu
	print ("<hr>");
	print ("<div align=\"center\">");
    print ("<form action=\"choix-ref1.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print ("<input id=\"frm_menu\" type=\"submit\" value=\"Retour au menu des constantes\">");
	print ("</form></div>");

//	pageDebug("&Eacute;tape 0");
} 

// *****************************************************************************************************
// &eacute;tape 1 *********************************************************************************************
// &eacute;diter un secteur existant **************************************************************************
// *****************************************************************************************************
if ($etape == 1)
	{
	// faire les modifications dans la table base_ref1activite *****************************************
	if (!empty ($mod))
		{
		// modifier le champ objectif_financier dans base_ref1annuelles 
		if (!empty ($objectif_financier))
			{
			$sql = "update base_ref1annuelles
				set base_ref1annuelles.objectif_financier = '$objectif_financier',
					base_ref1annuelles.mis_a_jour = now()
           	    WHERE base_ref1annuelles.annee = '$annee';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		}

	// remplir les variables ******************************************************************************
	$sql = "SELECT base_ref1annuelles.objectif_financier  
    	    FROM base_ref1annuelles
       	    WHERE base_ref1annuelles.annee = '$annee';";

	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die ("ne peut lire les donn&eacute;es.<br>".$sql);

	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);

	// met la valeur dans les variables
	if ($num)
		{
		$i = 0;
		$row = mysqli_fetch_row($result);
		$objectif_financier = ($row[$i]);
		}
	else
		{
		die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !");
		}

	// fait le m&eacute;nage des r&eacute;sultat en m&eacute;moire
	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);

	// afficher les r&eacute;sultats ****************************************************************************	


print("<center><table cellspacing=0 cellpadding=0 width=400px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Modification de l'objectif financier</b></td>");
print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
print("</tr></table>");	
	
	print("<table width=\"400px\" cellpadding=0 cellspacing=0 border=\"0\">");

	// annee

	print ("<tr><td bgcolor=#E7EFCE><b>Ann&eacute;e: $annee<BR><BR></b>");

	print("</td></tr><tr><td bgcolor=#E7EFCE>");

	// objectif_financier
	print ("<b>Objectif financier:</b>");
	
	print("<form action=\"ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
	    <input type=\"hidden\" name=\"annee\" value=".$annee.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$objectif_financier."\" name=\"objectif_financier\" align=\"top\" maxlength=\"12\" size=\"12\">
			<input type=\"image\" alt=\"objectif_financier\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");

	print("</td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=400px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	

//*****************************************************************************************************
// Bas de page 
//*****************************************************************************************************
	print ("<br>");
	print ("<hr><br>");
// Boutons pour les renvois vers d'autres pages
	print("<table border=0 width=100%>");
   		print("<td width=45% align=right>"); // afiche le bouton de retour au ctes annuelles
		print("<form action="\ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");
	   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   			print("<input type=hidden name=etape value=0>");
	   			print("<input type=submit name=back value=\"Gestion des constantes annuelles\">");
	    print("</form>");
	print("</td>");
	print("<td width=5% align=center>"."&nbsp"."</td>"); //Espacement
	print("<td width=45% align=left>"); //Afficher le bouton de retour au menu principal.
		print("<form action="\../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");  
	   		 	print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	  		 	print("<input type=submit name=back value=\"    Menu Principal    \">");
		print("</form>");
	print("</td>");
	print ("</table>");
	}

// *****************************************************************************************************
// &eacute;tape 2 *********************************************************************************************
// demande les info pour cr&eacute;er la branche **************************************************************
// *****************************************************************************************************
if ($etape == 2)
{
	print ("<div align=\"center\"><u><b><font size=\"+2\"></font></b></u></div>");


print("<center><table cellspacing=0 cellpadding=0 width=400px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Nouvelles Constantes annuelles</b></td>");
print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
print("</tr></table>");	
	
	print("<table cellspacing=0 cellpadding=0 width=400px border=0>");
	print("<tr><td bgcolor=#E7EFCE><b>");
	
	print ("<form action=\"ref1annuelles.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"creation\"> 
			<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
			<input type=\"hidden\" name=\"etape\" value=3>");

	print ("<b>Ann&eacute;e</b>");
	print("<input type=\"text\" value=\"".$annee."\" name=\"annee\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td bgcolor=#E7EFCE></tr>");

	print("<tr><td bgcolor=#E7EFCE><b>");
	print ("<b>Objectif financier:</b>");
	print("<input type=\"text\" value=\"".$objectif_financier."\" name=\"objectif_financier\" align=\"top\" maxlength=\"12\" size=\"12\">");
	print("</div></td></tr>");
	
	print ("<td bgcolor=#E7EFCE><br>");
	print("<div align=right><input type='submit' value='Soumettre'></form></div>");

	print("</td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=400px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	

//	pageDebug("&Eacute;tape 2");
}

// *****************************************************************************************************
// &eacute;tape 3 *********************************************************************************************
// cr&eacute;e le secteur dans la table ref1branche ***********************************************************
// *****************************************************************************************************
if ($etape == 3)
{
	print ("<div align=\"center\"><b>Constantes annuelles cr&eacute;&eacute;es avec succ&egrave;s</b></div>");
	print("<p>");

	// mettre les info dans la table ref1annuelles
	$sql = "insert into base_ref1annuelles 
		    set annee = '$annee',
			    objectif_financier = '$objectif_financier',
				mis_a_jour = now();";

	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die("Ne peut faire l'ajout!<br>".$sql);

	print("&nbsp;<p><center><table width=80%><tr><td><center>");
	

	print("</center></td></tr></table></center>");
	
}





// *****************************************************************************************************
// &eacute;tape 4 *********************************************************************************************
// met la date active pour l'ann&eacute;e********** ***********************************************************
// *****************************************************************************************************
if ($etape == 4)
{
	print ("<div align=\"center\"><b>Ann&eacute;es activ&eacute;es avec succ&egrave;s</b></div>");
	print("<p>");

	
	// mettre tout innactif
	$sql = "update base_ref1annuelles
			   set base_ref1annuelles.actif = 'N',
				   base_ref1annuelles.mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
	
	
	// mettre les info dans la table ref1annuelles
	$sql = "update base_ref1annuelles
			   set base_ref1annuelles.actif = 'O',
				   base_ref1annuelles.mis_a_jour = now()
			 WHERE base_ref1annuelles.annee = '$annee';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);


	
}





?>

</body>
</html>
